[goobox] configure.ac: removed deprecated macros



commit 90a4d3fab249790653076e3deefc28fc75d34574
Author: Paolo Bacchilega <paobac src gnome org>
Date:   Fri Aug 26 06:46:06 2016 +0200

    configure.ac: removed deprecated macros

 autogen.sh   |   21 ++++++++-------------
 configure.ac |    5 +++--
 2 files changed, 11 insertions(+), 15 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index c0a579c..fc1676d 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,20 +1,15 @@
 #!/bin/sh
-# Run this to generate all the initial makefiles, etc.
-
 srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+[ -z "$srcdir" ] && srcdir=.
 
-(test -f $srcdir/configure.ac && test -d $srcdir/src) || {
-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level $PKG_NAME directory"
-    exit 1
-}
+if [ ! -f "$srcdir/configure.ac" ]; then
+ echo "$srcdir doesn't look like source directory for $PKG_NAME" >&2
+ exit 1
+fi
 
 which gnome-autogen.sh || {
-    echo "You need to install gnome-common from the GNOME CVS"
-    exit 1
+       echo "You need to install gnome-common from GNOME Git"
+       exit 1
 }
 
-REQUIRED_AUTOMAKE_VERSION=1.7.2
-
-. gnome-autogen.sh
+. gnome-autogen.sh "$@"
diff --git a/configure.ac b/configure.ac
index 9cadce8..8065ad4 100644
--- a/configure.ac
+++ b/configure.ac
@@ -6,12 +6,11 @@ m4_ifdef([AM_SILENT_RULES], [AM_SILENT_RULES([yes])])
 AC_CONFIG_SRCDIR([config.h.in])
 AC_CONFIG_HEADER([config.h])
 AC_CONFIG_MACRO_DIR([m4])
+AC_SUBST([ACLOCAL_AMFLAGS], ["-I $ac_macro_dir \${ACLOCAL_FLAGS}"])
 
-GNOME_COMMON_INIT
 AC_PROG_CXX
 AM_PROG_LIBTOOL
 YELP_HELP_INIT
-GNOME_COMPILE_WARNINGS([maximum])
 GNOME_MAINTAINER_MODE_DEFINES
 GLIB_GSETTINGS
 
@@ -59,6 +58,8 @@ AC_ARG_ENABLE(debug,
 if test x$ENABLE_DEBUG = xyes; then
        AC_DEFINE(DEBUG, 1, [enable compilation of debugging messages])
        CFLAGS="$CFLAGS -g -O0 -DDEBUG"
+else
+       CFLAGS="$CFLAGS -Wno-deprecated-declarations"
 fi
 
 dnl ===========================================================================


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]